Bug 1009155 - ocaml-camlimages-debuginfo-4.1.0-1 contains no sources
ocaml-camlimages-debuginfo-4.1.0-1 contains no sources
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ocaml-camlimages (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2013-09-17 16:25 EDT by Ville Skyttä
Modified: 2013-12-27 12:41 EST (History)
2 users (show)

See Also:
Fixed In Version: ocaml-camlimages-4.1.0-3.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-27 12:41:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix -debuginfo, enable rgb.txt and exif support (3.24 KB, patch)
2013-12-25 06:08 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2013-09-17 16:25:45 EDT
ocaml-camlimages-debuginfo-4.1.0-1 contains no sources -- maybe the correct build flags are not being used or the binaries are being stripped too early?
Comment 1 Bruno Wolff III 2013-09-28 16:21:08 EDT
Can you look and see if the debug info for 4.1.0-2 looks OK. I'm not sure what the debug info should look like, so its hard for me to tell if I got it right.
Comment 2 Ville Skyttä 2013-10-01 03:10:20 EDT
I'm really quite clueless wrt ocaml, but no, I don't think it's ok -- it still contains no sources: http://koji.fedoraproject.org/koji/rpminfo?rpmID=4441201

Here's one example of a ocaml-*-debuginfo package that does:
http://koji.fedoraproject.org/koji/rpminfo?rpmID=4417613
Comment 3 Ville Skyttä 2013-12-25 06:08:03 EST
Created attachment 841462 [details]
Fix -debuginfo, enable rgb.txt and exif support

I suppose this patch would fix it, and while at it enable support for rgb.txt and exif. Want me to push and build this for devel?
Comment 4 Bruno Wolff III 2013-12-26 12:22:31 EST
Yes, please go ahead and do a new build.
Thanks!

Note You need to log in before you can comment on or make changes to this bug.